Bug 1235165 - Async store stop and clear should not wait for space in the modification queue
Summary: Async store stop and clear should not wait for space in the modification queue
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.5.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-24 07:30 UTC by Dan Berindei
Modified: 2022-05-31 22:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5564 0 Major Resolved AsyncCacheWriter stop() and clear() should not wait for space in the modifications queue 2015-11-12 13:46:08 UTC

Description Dan Berindei 2015-06-24 07:30:44 UTC
AsyncCacheWriter.clear() invalidates all enqueued changes rather than adding more changes to the queue. Thus, clear should not wait if the queue is full.

AsyncCacheWriter.stop() should also take effect immediately (i.e. set the stopped flag without waiting if the queue is full).


Note You need to log in before you can comment on or make changes to this bug.